package com.diaoyun.zion.chinafrica.enums;


import com.diaoyun.zion.master.enums.EnumItemable;

/**
 * 爬虫枚举
 * 
 * @author G
 */
public enum PlatformEnum implements EnumItemable<PlatformEnum> {

	/**
	 * 对应爬虫的枚举
	 */
	TB("淘宝", "tb"),
	TM("天猫", "tm"),
	PULLANDBEAR("Pullandbear","pullandbear"),
	GAP("GAP", "gap"),
	ZARA("Zara", "zara"),
	UNIQLO("优衣库", "uniqlo"),
	NIKE("NIKE", "nike"),
	ADIDAS("阿迪达斯", "adidas"),
	HM("H&M", "hm"),
	LILY("Lily", "lily"),
	URBANREVIVO("UrbanRevivo", "urbanrevivo"),
	UNDERARMOUR("安德玛", "underarmour"),
	OCHIRLY("Ochirly", "ochirly"),
	ESPRIT("思捷", "esprit"),
	LEVI("李维斯", "levi"),
	MOCO("MO&Co.", "moco"),
	MASSIMODUTTI("MassimoDutti", "massimodutti"),
	COACH("蔻驰", "coach"),
	VANS("范斯", "vans"),
	UN("未知", "un"),
	AfriEshop("afri-eshop","afri-eshop" );

	private String label;
	private String value;

	PlatformEnum(String label, String value) {
		this.label = label;
		this.value = value;
	}

	@Override
	public String getLabel() {
		return this.label;
	}

	@Override
	public String getValue() {
		return this.value;
	}
}
